{% extends 'base.html.twig' %}

{% block title %}Usager index{% endblock %}

{% block body %}
    <h1>Usager index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Email</th>
                <th>Roles</th>
                <th>Password</th>
                <th>Nom</th>
                <th>Prenom</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for usager in usagers %}
            <tr>
                <td>{{ usager.id }}</td>
                <td>{{ usager.email }}</td>
                <td>{{ usager.roles ? usager.roles|json_encode : '' }}</td>
                <td>{{ usager.password }}</td>
                <td>{{ usager.nom }}</td>
                <td>{{ usager.prenom }}</td>
                <td>
                    <a href="{{ path('usager_show', {'id': usager.id}) }}">show</a>
                    <a href="{{ path('usager_edit', {'id': usager.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('usager_new') }}">Create new</a>
{% endblock %}
